﻿<%@ Page Language="C#" %>
<script runat="server">
    public class Class4Json 
    {
        public string Name;
        public int Rating;
    }
    
    protected void Page_Load(object sender, EventArgs e) 
    {
        if (Request["t"] == "xml")
        {
            System.Xml.XmlDocument xd = new System.Xml.XmlDocument();
            xd.LoadXml("<Data><Item>AJAX</Item></Data>");
            Response.ContentType = "text/xml";
            Response.Write(xd.OuterXml);
        }
        else if (Request["t"] == "json")
        {
            System.Web.Script.Serialization.JavaScriptSerializer jss =
                new System.Web.Script.Serialization.JavaScriptSerializer();
            Class4Json darkthread = new Class4Json();
            darkthread.Name = "Darkthread";
            darkthread.Rating = 99;
            Response.ContentType = "text/plain";
            Response.Write(jss.Serialize(darkthread));
        }
        else if (Request["t"] == "html")
        {
            Response.ContentType = "text/html";
            Response.Write("<span style='color:red'>Hello World!</span>");
        }
        else if (Request["t"] == "script")
        {
            Response.ContentType = "text/javascript";
            Response.Write("alert('Script: Hello World!');");
        }
        Response.End();
    }
</script>


